*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body{
    background: #0f172a;
    color: white;
}

/* HEADER */

header{
    width: 100%;
    padding: 20px 8%;
    background: #111827;

    display: flex;
    justify-content: space-between;
    align-items: center;

    position: fixed;
    top: 0;
    z-index: 1000;
}

header h1{
    color: #38bdf8;
}

nav a{
    color: white;
    text-decoration: none;
    margin-left: 20px;
    transition: 0.3s;
}

nav a:hover{
    color: #38bdf8;
}

/* HOME */

.home{
    height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;
    padding: 0 20px;
}

.home-content h2{
    font-size: 50px;
}

.home-content span{
    color: #38bdf8;
}

.home-content p{
    max-width: 700px;
    margin: 20px auto;
    line-height: 1.6;
    color: #cbd5e1;
}

/* BOTÃO */

.btn{
    display: inline-block;
    padding: 12px 30px;

    background: #38bdf8;
    color: #0f172a;

    text-decoration: none;
    border-radius: 8px;

    font-weight: bold;
    transition: 0.3s;
}

.btn:hover{
    background: #0ea5e9;
    transform: scale(1.05);
}

/* SEÇÕES */

section{
    padding: 100px 8%;
}

.title{
    text-align: center;
    margin-bottom: 50px;
    font-size: 40px;
    color: #38bdf8;
}

/* SOBRE */

.sobre{
    text-align: center;
}

.sobre p{
    max-width: 800px;
    margin: auto;
    line-height: 1.8;
    color: #cbd5e1;
}

/* PROJETOS */

.projetos-container{
    display: grid;

    grid-template-columns:
    repeat(auto-fit, minmax(250px, 1fr));

    gap: 25px;
}

.card{
    background: #1e293b;
    padding: 25px;
    border-radius: 15px;
    transition: 0.3s;
}

.card:hover{
    transform: translateY(-10px);
}

.card h3{
    margin-bottom: 15px;
    color: #38bdf8;
}

.card p{
    color: #cbd5e1;
    margin-bottom: 15px;
}

/* CONTATO */

.contato{
    text-align: center;
}

.contato p{
    margin: 10px 0;
    color: #cbd5e1;
}
.contato a{
    color: #38bdf8;
    text-decoration: none;
}

.contato a:hover{
    text-decoration: underline;
}
/* TESTES */

.testes{
    text-align: center;
}

.testes p{
    margin: 10px 0;
    color: #cbd5e1;
}
.testes a{
    color: #38bdf8;
    text-decoration: none;
}

.testes a:hover{
    text-decoration: underline;
}

/* FOOTER */

footer{
    background: #111827;
    text-align: center;
    padding: 20px;
    margin-top: 50px;
    color: #94a3b8;
}

/* RESPONSIVO */

@media(max-width: 768px){

    header{
        flex-direction: column;
        gap: 15px;
    }

    .home-content h2{
        font-size: 35px;
    }

    .title{
        font-size: 32px;
    }

}